[youtubei.js](../../../../README.md) / [Utils](../README.md) / generateSidAuth

# Function: generateSidAuth()

> **generateSidAuth**(`sid`): `Promise`\<`string`\>

Defined in: [src/utils/Utils.ts:110](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/Utils.ts#L110)

Generates an authentication token from a cookies' sid.

## Parameters

### sid

`string`

Sid extracted from cookies

## Returns

`Promise`\<`string`\>
